## GcrImportButton

GcrImportButton — Button which imports parsed certificates and keys

## Synopsis

    struct              GcrImportButton;
    struct              GcrImportButtonClass;
    GcrImportButton *   gcr_import_button_new               (const gchar *label);
    void                gcr_import_button_add_parsed        (GcrImportButton *self,
                                                             GcrParsed *parsed);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkButton
                                     +----GcrImportButton

## Implemented Interfaces

GcrImportButton implements AtkImplementorIface, GtkBuildable and GtkActivatable.

## Signals

      "imported"                                       : Run Last

## Description

A button which imports keys and certificates. Shows a spinner when the button is activated. When more than one importer is available shows a drop down to select which to import to.

## Details

### struct GcrImportButton

    struct GcrImportButton;

Button which imports parsed certificates and keys.

### struct GcrImportButtonClass

    struct GcrImportButtonClass {
    	GtkButtonClass parent_class;

    	void    (*imported)    (GcrImportButton *self,
    	                        GcrImporter *importer,
    	                        GError *error);
    };

Class for GcrImportButton.

GtkButtonClass `parent_class`; | The parent class
`imported` () | Emitted when the import completes, or fails.

### gcr_import_button_new ()

    GcrImportButton *   gcr_import_button_new               (const gchar *label);

Create a new GcrImportButton.

`label` : | label to display on the button. [allow-none]
Returns : | a newly created GcrImportButton. [transfer full]

### gcr_import_button_add_parsed ()

    void                gcr_import_button_add_parsed        (GcrImportButton *self,
                                                             GcrParsed *parsed);

Queue an item to import via the button

`self` : | an import button
`parsed` : | a parsed item

## Signal Details

### The `"imported"` signal

    void                user_function                      (GcrImportButton *self,
                                                            GObject         *importer,
                                                            GError          *error,
                                                            gpointer         user_data)      : Run Last

Signal emitted when an import completes or fails.

`self` : | the import button
`importer` : | the importer that was imported to
`error` : | if import was successful `NULL`, or an error
`user_data` : | user data set when the signal handler was connected.